Skip to main content
GET
/
api
/
v1
/
department_chairs
List department chairs
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/department_chairs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "department_chair",
      "attributes": {
        "created_at": "<string>",
        "updated_at": "<string>"
      },
      "relationships": {
        "department": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "department",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "chair": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "profile",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: department, chair

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at

filter[key]
string

Filter results. Available filters: department, chair.

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

department chairs found

data
object[]
required
meta
object